/**
 * Created by luliang on 2016/1/7.
 */
define(
  [
    'app',
    'models/model_app',
    'utils/toastUtil'
  ],
  function(app){
    'use strict';
    app
      .controller('SearchController',['$scope','$state','$location','AppModel','ToastUtils',function($scope,$state,$location,AppModel,ToastUtils){
        $scope.searchContent = '';
        $scope.keywords = undefined;
        $scope.search = function search(){
          if($scope.searchContent.length <= 0){
            return ;
          }
          $scope.keywords = undefined;
          AppModel.getSearchWord($scope.searchContent,function(response,data){
            var code = data.code;
            if(0==code){
              $scope.keywords = data.data;
            }else{
            }
            $scope.isEmpty = (0!=code);
          },function(response){
            ToastUtils.showError('网络异常：'+'状态码:'+response.status);
            $scope.isEmpty = true;
          });
        };

        $scope.goToResult = function(keyword){
          // $location.path('/searchResult/'+keyword).replace();
          $state.go('searchResult',{keyword:keyword});
        }
      }]);
  });
