/**
 * Created by luliang on 2016/1/9.
 */
define(['app','utils/toastUtil','html/common/global_service','models/model_app',
],function(app){
  'use strict';
  app
    .controller('UserQuestionController',['$scope','Global','$stateParams','ToastUtils','AppModel','$ionicHistory','$sce',
      function($scope,Global,$stateParams,ToastUtils,AppModel,$ionicHistory,$sce){
      $scope.goBack = goBack;
      $scope.appVersion1 = appConfig.appVersion1;
      function goBack(){
        if (Global.isInweixinBrowser()) {
          history.back();
        } else {
          $ionicHistory.goBack();
        }
      }
      if($stateParams.viewName == 'question') {
        getQuestion()
      }

      function getQuestion() {
          ToastUtils.showLoading('加载中....');
          AppModel.getQuestion(function(xhr, re) {
              if (re.code == 0) {
                  $scope.questions = re.data;
              } else {
                  ToastUtils.showError(re.msg);
              }
          }, function(xhr, re) {
              ToastUtils.showError(re.msg);
          },function() {
            ToastUtils.hideLoading()
          })
      }

      $scope.show_question = function(question) {
        if(question.show) {
          question.show = false;
        } else {
          for(var i = 0,len = $scope.questions.length;i < len;i++) {
            if($scope.questions[i].id == question.id) {
              question.show = true;
            } else {
              $scope.questions[i].show = false;
            }
          }
        }
        
      }

      function writeBarTitle(){
        var view_name = 'question';
        view_name  = angular.isString($stateParams.viewName) ? $stateParams.viewName : view_name;
        var msg = '';
        switch (view_name){
          case 'disclaimer':
            msg = '免责声明';
            break;
          case 'privacy_policy':
            msg = '隐私政策';
            break;
          case 'question':
            msg = '常见问题';
            break;
          case 'term_of_service':
            msg = '服务条款';
            break;
          case 'about_us':
            msg = '关于我们';
            break;

        }
        $scope.title = msg;
        writeTitle(msg);
      }
      setTimeout(writeBarTitle,200);
    }]);
});
